### Hierarchy

- Emitter
  - GridEvents
  - Tracking
  - GridHeadingCell
  - GridScrollbars
  - IApiService
  - Api
  - Auth
  - ProviderREST
  - ProviderSocket
  - Ranges
  - Page
  - Clipboard
  - Pdf
  - PdfLink
  - GridCell
  - Functions
  - Actions

### Implements

- IEmitter

## Index

### Constructors

- constructor

### Properties

- listeners
- onListeners

### Methods

- emit
- off
- on
- register
- removeEvent
- removeEvents
- unRegister

## Constructors

### constructor

- new Emitter(): Emitter

- - Defined in Emitter.ts:17

  #### Returns Emitter

## Properties

### listeners

listeners: IListeners = []

- Defined in Emitter.ts:16

### onListeners

onListeners: any

- Defined in Emitter.ts:17

## Methods

### emit

- emit(name: string, args?: any): void

- - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### off

- off(name: string, callback: any): void

- - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### register

- register(callback: any): void

- - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IEmitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IEmitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### unRegister

- unRegister(callback: any): void

- - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

Generated using TypeDoc